com.sap.security.um.user

## Enum PasswordCheckResult

- java.lang.Object
- - java.lang.Enum<PasswordCheckResult>
  - - com.sap.security.um.user.PasswordCheckResult

- All Implemented Interfaces:
    Serializable, Comparable<PasswordCheckResult>

      public enum PasswordCheckResult
      extends Enum<PasswordCheckResult>

  This enumeration provides the codes of a password check operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED_UNKNOWN_REASON` Authentication failed with reason other than the reasons described above.
    `PASSWORD_RESET_REQUIRED` The provided password requires reset.
    `PWD_CHANGE_REQUIRED` The provided password is valid, but has to be changed.
    `PWD_DISABLED` The password of the user is disabled.
    `PWD_EXPIRED` The password is expired because max.
    `PWD_LOCKED` The password is locked because of too many failed password checks.
    `PWD_OK` The provided password is valid.
    `PWD_WRONG` The provided password does not match the stored password.
    `USER_INACTIVE` The user is in status inactive.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PasswordCheckResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PasswordCheckResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PWD_DISABLED

          public static final PasswordCheckResult PWD_DISABLED

      The password of the user is disabled.

    - #### PWD_EXPIRED

          public static final PasswordCheckResult PWD_EXPIRED

      The password is expired because max. idle time is exceeded.

    - #### PWD_LOCKED

          public static final PasswordCheckResult PWD_LOCKED

      The password is locked because of too many failed password checks.

    - #### PWD_WRONG

          public static final PasswordCheckResult PWD_WRONG

      The provided password does not match the stored password.

    - #### PWD_CHANGE_REQUIRED

          public static final PasswordCheckResult PWD_CHANGE_REQUIRED

      The provided password is valid, but has to be changed.

    - #### PWD_OK

          public static final PasswordCheckResult PWD_OK

      The provided password is valid.

    - #### USER_INACTIVE

          public static final PasswordCheckResult USER_INACTIVE

      The user is in status inactive.

    - #### FAILED_UNKNOWN_REASON

          public static final PasswordCheckResult FAILED_UNKNOWN_REASON

      Authentication failed with reason other than the reasons described above.

    - #### PASSWORD_RESET_REQUIRED

          public static final PasswordCheckResult PASSWORD_RESET_REQUIRED

      The provided password requires reset.

  - ### Method Detail

    - #### values

          public static PasswordCheckResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PasswordCheckResult c : PasswordCheckResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PasswordCheckResult valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018 SAP. All Rights Reserved.